## org.jibx.runtime
Interface IAbstractMarshaller

All Superinterfaces:
  IMarshaller

    public interface IAbstractMarshaller

extends IMarshaller

Abstract base marshaller interface definition. This interface must be implemented by the handler for marshalling an object as an instance of a binding with extension mappings.

This extension to the normal marshaller interface allows the base marshalling to determine the proper marshaller implementation to use at runtime. The code needs to check that the object to be marshalled has a marshaller that extends this base mapping.

Version:
  1.0
Author:
  Dennis M. Sosnoski

Method Summary
`void` `baseMarshal(java.lang.Object obj, IMarshallingContext ctx)` Marshal instance of class with mapping extending this abstract mapping.

Methods inherited from interface org.jibx.runtime.IMarshaller
`isExtension, marshal`

Method Detail

### baseMarshal

    void baseMarshal(java.lang.Object obj,
                     IMarshallingContext ctx)
                     throws JiBXException

  Marshal instance of class with mapping extending this abstract mapping. This method call is responsible for all handling of the marshalling of an appropriate object to XML text. It is called at the point where the start tag for the associated element should be generated.

  Parameters:
    `obj` - object to be marshalled (may be `null`, in the case of a non-optional property with no value supplied)
    `ctx` - XML text output context
  Throws:
    `JiBXException` - on error in marshalling process

Project Web Site |